/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * Copyright(C) 2009 avanza Co.,Ltd. All rights reserved.
 * http://www.avnz.co.jp/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.circulation;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;

/**
 * 回覧板カテゴリのResultDataです。<BR>
 * 
 */
public class CirculationCategoryResultData implements ALData {

  /** カテゴリID */
  protected ALNumberField category_id;

  /** カテゴリ名 */
  protected ALStringField category_name;
  
  /** カテゴリテンプレート*/
  protected ALStringField ordertemplate;
  
  /** オーナ ID */
  private ALNumberField owner_id;

  /**
   * 
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    category_id = new ALNumberField();
    category_name = new ALStringField();
    ordertemplate = new ALStringField();
    owner_id = new ALNumberField();
  }

  /**
   * @return
   */
  public ALStringField getCategoryName() {
    return category_name;
  }

  /**
   * @param string
   */
  public void setCategoryName(String string) {
    category_name.setValue(string);
  }

  /**
   * @return
   */
  public ALNumberField getCategoryId() {
    return category_id;
  }

  /**
   * @param i
   */
  public void setCategoryId(long i) {
    category_id.setValue(i);
  }

  /**
   * @return
   */
  public ALStringField getOrderTemplate() {
    return ordertemplate;
  }

  /**
   * @param string
   */
  public void setOrderTemplate(String string) {
    ordertemplate.setValue(string);
  }
  
  public ALNumberField getOwnerId() {
    return owner_id;
  }

  public void setOwnerId(long i) {
    owner_id.setValue(i);
  }
}
